﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;

<table class="tableHeader">
    <tr>
        <td class="thColumn" style="padding-bottom:4px">Supplier&nbsp;<font color="red">*</font></td>
        <td style="padding-bottom:4px">
        @Html.Partial("SupplierPartial")
        </td>
    </tr>
    <tr>
        <td class="thColumn" style="padding-bottom:4px">Period&nbsp;<font color="red">*</font></td>
        <td style="padding-bottom:4px">
        @Html.DevExpress().DateEdit(
            edtSettings =>
            {
                edtSettings.Name = "Period";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td class="thColumn">Tax Status&nbsp;<font color="red">*</font></td>
        <td>
        @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "Status";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                edtSettings.Properties.Items.Add("All");
                edtSettings.Properties.Items.Add("Created");
                edtSettings.Properties.Items.Add("\"Blank\"");
            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td class="thLast" align="right" colspan="2">
        <table cellpadding="0" cellspacing="0">
            <tr>
                <td style="padding-right:10px">
                @Html.DevExpress().Button(
                    edtSettings =>
                    {
                        edtSettings.Text = "Search";
                        edtSettings.Name = "Search";
                        edtSettings.Width = Unit.Pixel(80);
                    }).GetHtml()
                </td>
                <td>
                @Html.DevExpress().Button(
                    edtSettings =>
                    {
                        edtSettings.Text = "Clear";
                        edtSettings.Name = "Clear";
                        edtSettings.Width = Unit.Pixel(80);
                    }).GetHtml()
                </td>
            </tr>
        </table>
        </td>
    </tr>
</table>